# Client Class Reference

Represents a single ApplicationPool client, connected to this server. More...

List of all members.

## Public Member Functions
| Client (Server &the_server, int connection)
| Create a new Client object.
void | start (const weak_ptr< Client > self)
| Start the thread for handling the connection with this client.

## Detailed Description

Represents a single ApplicationPool client, connected to this server.

Invariant:
  The life time of a Client object is guaranteed to be less than that of its associated Server object.

## Constructor & Destructor Documentation

Client::Client | ( | Server & | the_server,
|  | int | connection |
| ) |  |  | `[inline]`

Create a new Client object.

Parameters:

  | the_server | The Server object that this Client belongs to.
  | connection | The connection to the ApplicationPool client.

Note:
  `connection` will be closed upon destruction

## Member Function Documentation

void Client::start | ( | const weak_ptr< Client > | self | ) | `[inline]`

Start the thread for handling the connection with this client.

Parameters:

  | self | The iterator of this Client object inside the server's `clients` set. This is used to remove itself from the `clients` set once the client has closed the connection.

The documentation for this class was generated from the following file:

- ApplicationPoolServerExecutable.cpp